/*
 *  Simple test program -- simplified version of sample test hello.
 */

#include <bsp.h>

#include <stdlib.h>
#include <stdio.h>
#include <rtems/rtems_bsdnet.h>

#define BOOTP

static struct rtems_bsdnet_ifconfig netdriver_config = {
	RTEMS_BSP_NETWORK_DRIVER_NAME,
	RTEMS_BSP_NETWORK_DRIVER_ATTACH,
#ifndef BOOTP
	NULL,
	"192.168.0.2",
	"255.255.255.0"
#endif
};
struct rtems_bsdnet_config rtems_bsdnet_config = {
	&netdriver_config,
#ifdef BOOTP
	rtems_bsdnet_do_bootp,
#else
	NULL,
	0,
	0,
	0,
	"chiche",
	"teton.com",
	"192.168.0.210",
	NULL,
	{ "192.168.0.210" }
#endif
};

rtems_task Init(
  rtems_task_argument ignored
)
{
  printk("Starting network\n");
  rtems_bsdnet_initialize_network ();
  printk("Ok.\n");

  rtems_task_delete( RTEMS_SELF );
}

/* configuration information */

#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
#define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER

#define CONFIGURE_RTEMS_INIT_TASKS_TABLE

#define CONFIGURE_EXECUTIVE_RAM_SIZE        (512*1024)
#define CONFIGURE_MAXIMUM_DEVICES                     40
#define CONFIGURE_MAXIMUM_TASKS                       100
#define CONFIGURE_MAXIMUM_TIMERS                      32
#define CONFIGURE_MAXIMUM_SEMAPHORES                  100
#define CONFIGURE_MAXIMUM_MESSAGE_QUEUES              20
#define CONFIGURE_MAXIMUM_PARTITIONS                  100
#define CONFIGURE_MAXIMUM_REGIONS                     100
#define CONFIGURE_LIBIO_MAXIMUM_FILE_DESCRIPTORS      20
#define CONFIGURE_INIT

#include <rtems/confdefs.h>

/* end of file */
